require "numru/ggraph"
include NumRu

ncfn = "../../../../radmodels-data/CIA/NC_data/02-02_B04_cia.nc"
ncfn = "02-02_B04_ext_cia.nc"
vname = "Coef"

#gphys = GPhys::IO.open( ncfn, vname )
url = ncfn + "@" + vname
gphys = GPhys::IO.open_gturl( url )

gphys = gphys * 1.0e50


iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; DCL::sgpwsn; gets)).to_i
DCL.gropn(iws)

#DCL.sldiv('y',1,4)
DCL.sgpset('isub', 96)     # control character of subscription: '_' --> '`'
DCL.sgpset('lfull',true)
DCL.uzfact(0.6)            # font size
DCL.sgpset('lclip', true)  # clip graph
DCL.glpset('lmiss',true)   # missing value

#DCL.sgscmn(4)  # blue-cyan-white-yellow-red
#DCL.sgscmn(5)  # gray-scale
#DCL.sgscmn(14) # blue-white-red

#levels = [110,120,130,140,150,160,170,180,190,200,210,220,230,240]
#patterns = [10999,15999,20999,25999,30999,35999,40999,50999,60999,65999,70999,75999,80999,90999,95999]

GGraph.set_fig 'itr'=> 1, 'viewport'=>[0.25,0.7,0.15,0.6]
GGraph.tone gphys, true     #, 'lev'=>levels, 'pat'=>patterns
GGraph.contour gphys, false #, 'lev'=>levels
GGraph.color_bar

GGraph.set_fig 'itr'=> 2, 'viewport'=>[0.25,0.7,0.15,0.6]
GGraph.line gphys.cut('Temp'=>100), true     #, 'lev'=>levels, 'pat'=>patterns

#GGraph.line gphys, true, 'exchange'=>false

DCL.grcls
